<%- include('partials/header.ejs') %>

<!-- content start -->
<div class="main">
    <div class="d-flex head">
        <h2 class="heading">Privacy Policy :-</h2>
    </div>
    <div class="content">
        <form id="form">
            <div class="row">
                <div class="col-12 col-lg-12">
                    <div class="mb-3">
                        <label>Content : -</label>
                        <textarea name="content" id="editor">
                        <%= content %> 
                    </textarea
                        >
                        <!-- <small class="form-text"></small> -->
                    </div>
                    <button type="submit" class="btn btn-info mt-3 pull-right">
                        Save
                    </button>
                </div>
            </div>
        </form>
    </div>
    <div>
        <%- include ('partials/footer.ejs') %>
        <script>
            activeSideBar("privacypolicy");

            const form = $("#form");

            form.on("submit", submitHandler);

            function submitHandler(e) {
                e.preventDefault();

                // PREPARE FORM DATA
                // var formData = {
                //     newpassword: form.serializeArray()[0].value
                // };

                var formData = getFormData($("#form"));

                // DO POST
                $.ajax({
                    type: "POST",
                    contentType: "application/json",
                    url: "privacypolicy",
                    data: JSON.stringify(formData),
                })
                    .done((res) => {
                        Snackbar.show({
                            text: res,
                            pos: "bottom-right",
                            customClass: "snackbar-custom-s",
                            showAction: false,
                        });
                    })
                    .fail(function (xhr, status, error) {
                        Snackbar.show({
                            text: xhr.responseText,
                            pos: "bottom-right",
                            customClass: "snackbar-custom-d",
                            showAction: false,
                        });
                    });
            }
        </script>
    </div>
</div>
